## org.mortbay.http
Class InclusiveByteRange

    java.lang.Object
      |
      +--org.mortbay.http.InclusiveByteRange

public class InclusiveByteRange
extends java.lang.Object

Byte range inclusive of end points.

       parses the following types of byte ranges:

           bytes=100-499
           bytes=-300
           bytes=100-
           bytes=1-2,2-3,6-,-2

       given an entity length, converts range to string

           bytes 100-499/500

Based on RFC2616 3.12, 14.16, 14.35.1, 14.35.2

Version:
  $version$
Author:
  Helmut Hissen

Constructor Summary
`InclusiveByteRange(long first, long last)`

Method Summary
`long` `getFirst()`
`long` `getFirst(long size)`
`long` `getLast()`
`long` `getLast(long size)`
`long` `getSize(long size)`
`static java.util.List` `satisfiableRanges(java.util.Enumeration headers, long size)`
`static java.lang.String` `to416HeaderRangeString(long size)`
`java.lang.String` `toHeaderRangeString(long size)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InclusiveByteRange

    public InclusiveByteRange(long first,
                              long last)

Method Detail

### getFirst

    public long getFirst()

### getLast

    public long getLast()

### satisfiableRanges

    public static java.util.List satisfiableRanges(java.util.Enumeration headers,
                                                   long size)

  Parameters:
    `headers` - Enumeration of Range header fields.
    `size` - Size of the resource.
  Returns:
    LazyList of satisfiable ranges

### getFirst

    public long getFirst(long size)

### getLast

    public long getLast(long size)

### getSize

    public long getSize(long size)

### toHeaderRangeString

    public java.lang.String toHeaderRangeString(long size)

### to416HeaderRangeString

    public static java.lang.String to416HeaderRangeString(long size)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.